Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class RulerOptions

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.graphics.RulerOptions

public class RulerOptions
extends com.beanexplorer.beans.Option

Class to store options for ruler painting.

Author:
  Igor V. Tyazhev

Field Summary
`protected Pen` | `axisPen` `Pen` to paint main axis of the ruler.
`protected java.awt.Dimension` | `decDig` Precision of tabels, `Dimension.width` - integer part, `Dimension.height` - fractional part.
`protected ColorFont` | `majorFont` `ColorFont` for major labels.
`protected ColorFont` | `minorFont` `ColorFont` for minor labels.
`protected java.awt.Dimension` | `textOffset` Shift of labels relative to the ruler, `Dimension.width` - in X coordinate, `Dimension.height` - in Y coordinate)
`protected java.awt.Dimension` | `tickSize` Size of the ticks.
`protected Pen` | `ticksPen` `Pen` to paint ticks of the ruler.

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`RulerOptions(com.beanexplorer.beans.Option parent, ColorFont font)` Creates `RulerOptions` and initializes it to the specified font.
`RulerOptions(com.beanexplorer.beans.Option parent, ColorFont majorFont, ColorFont minorFont, java.awt.Dimension decDig, Pen axisPen, Pen ticksPen, java.awt.Dimension tickSize, java.awt.Dimension textOffset)` Creates `RulerOptions` and initializes it to the specified options.
`RulerOptions(com.beanexplorer.beans.Option parent, ColorFont majorFont, ColorFont minorFont, java.awt.Dimension decDig, Pen axisPen, Pen ticksPen, java.awt.Dimension tickSize, java.awt.Dimension textOffset, int step, int ticks)` Creates `RulerOptions` and initializes it to the specified options.

Method Summary
`Pen` | `getAxisPen()`
`java.awt.Dimension` | `getDecDig()`
`ColorFont` | `getMajorFont()`
`ColorFont` | `getMinorFont()`
`int` | `getStep()`
`java.awt.Dimension` | `getTextOffset()`
`int` | `getTicks()`
`java.awt.Dimension` | `getTickSize()`
`Pen` | `getTicksPen()`
`void` | `setAxisPen(Pen axisPen)`
`void` | `setDecDig(java.awt.Dimension decDig)`
`void` | `setMajorFont(ColorFont majorFont)`
`void` | `setMinorFont(ColorFont minorFont)`
`void` | `setStep(int step)`
`void` | `setStepWithoutNotification(int step)`
`void` | `setTextOffset(java.awt.Dimension textOffset)`
`void` | `setTicks(int ticks)`
`void` | `setTickSize(java.awt.Dimension tickSize)`
`void` | `setTicksPen(Pen ticksPen)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### majorFont

    protected ColorFont majorFont

  `ColorFont` for major labels.

### minorFont

    protected ColorFont minorFont

  `ColorFont` for minor labels.

### decDig

    protected java.awt.Dimension decDig

  Precision of tabels, `Dimension.width` - integer part, `Dimension.height` - fractional part.

### axisPen

    protected Pen axisPen

  `Pen` to paint main axis of the ruler.

### ticksPen

    protected Pen ticksPen

  `Pen` to paint ticks of the ruler.

### tickSize

    protected java.awt.Dimension tickSize

  Size of the ticks.

### textOffset

    protected java.awt.Dimension textOffset

  Shift of labels relative to the ruler, `Dimension.width` - in X coordinate, `Dimension.height` - in Y coordinate)

Constructor Detail

### RulerOptions

    public RulerOptions(com.beanexplorer.beans.Option parent,
                        ColorFont font)

  Creates `RulerOptions` and initializes it to the specified font.

Parameters:
  `parent` - parent property
  `font` - the specified font

### RulerOptions

    public RulerOptions(com.beanexplorer.beans.Option parent,
                        ColorFont majorFont,
                        ColorFont minorFont,
                        java.awt.Dimension decDig,
                        Pen axisPen,
                        Pen ticksPen,
                        java.awt.Dimension tickSize,
                        java.awt.Dimension textOffset)

  Creates `RulerOptions` and initializes it to the specified options.

Parameters:
  `parent` - parent property
  `majorFont` - font for major labels
  `minorFont` - font for minor labels
  `decDig` - precision (width - integer part, height - fractional part)
  `axisPen` - pen to paint main axis of the ruler
  `ticksPen` - pen to paint ticks of the ruler
  `tickSize` - size of the ticks
  `textOffset` - shift of labels relative to ruler (width - in X coordinate, height - in Y coordinate)

### RulerOptions

    public RulerOptions(com.beanexplorer.beans.Option parent,
                        ColorFont majorFont,
                        ColorFont minorFont,
                        java.awt.Dimension decDig,
                        Pen axisPen,
                        Pen ticksPen,
                        java.awt.Dimension tickSize,
                        java.awt.Dimension textOffset,
                        int step,
                        int ticks)

  Creates `RulerOptions` and initializes it to the specified options.

Parameters:
  `parent` - parent property
  `majorFont` - font for major labels
  `minorFont` - font for minor labels
  `decDig` - precision (width - integer part, height - fractional part)
  `axisPen` - pen to paint main axis of the ruler
  `ticksPen` - pen to paint ticks of the ruler
  `tickSize` - size of the ticks
  `textOffset` - shift of labels relative to ruler (width - in X coordinate, height - in Y coordinate)

Method Detail

### getMajorFont

    public ColorFont getMajorFont()

### setMajorFont

    public void setMajorFont(ColorFont majorFont)

### getMinorFont

    public ColorFont getMinorFont()

### setMinorFont

    public void setMinorFont(ColorFont minorFont)

### getDecDig

    public java.awt.Dimension getDecDig()

### setDecDig

    public void setDecDig(java.awt.Dimension decDig)

### getAxisPen

    public Pen getAxisPen()

### setAxisPen

    public void setAxisPen(Pen axisPen)

### getTicksPen

    public Pen getTicksPen()

### setTicksPen

    public void setTicksPen(Pen ticksPen)

### getTickSize

    public java.awt.Dimension getTickSize()

### setTickSize

    public void setTickSize(java.awt.Dimension tickSize)

### getTextOffset

    public java.awt.Dimension getTextOffset()

### setTextOffset

    public void setTextOffset(java.awt.Dimension textOffset)

### getStep

    public int getStep()

### setStep

    public void setStep(int step)

### setStepWithoutNotification

    public void setStepWithoutNotification(int step)

### getTicks

    public int getTicks()

### setTicks

    public void setTicks(int ticks)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.